<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld" 
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" />
<jsp:directive.include file="/jsp/custom/result_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GFX004"
	title	= "対訳"
	date	= "2015/05/09"
	author	= "K.Hasegawa"
	text	= ""
	version	= "001"
/>

<!-- 変更はここから -->

<!-- ワーニングメッセージです。ここでは、登録完了のメッセージを表示します。 -->
<og:errorMessage command="{@command}" clear="{@clear}" displayMsg="{@displayMsg}" />

<!-- 入力チェックを行います。 -->
<og:columnCheck command="NEW" />

<!-- 変換用の keywordFile を作成します。変換用なので、原約同一や、キー重複は許しません。 -->
<og:directWriteTable
	fileURL		= "{@USER.ID}"
	filename	= "Converter.txt"
	encode		= "UTF-8"
	useHeader	= "false"
	useNumber	= "false"
>
select GENBUN,YAKU from GF28
where SYSTEM_ID	in ( '{@AST}' , '{@SYSTEM_ID}' )
and   KBHORYU	= '1'						<!-- 1:翻訳済み のみ -->
and   LANG_YAKU	= '{@LANG_YAKU}'
and   GENBUN	!= YAKU						<!-- 取りえず変換が発生するキーワードのみ抜き出す -->
group by GENBUN,YAKU
order by lengthb(GENBUN) desc				<!-- 文字数の逆順で処理すると、２重変換のリスクが減る -->
</og:directWriteTable>

<pre>
<og:mainProcess useThread="false" useJspLog="true" useDisplay="true">
  <og:process processID="DBParam" />
  <og:process processID="FileSearch">
    <og:param key="start"		value="{@inPath}"	/>
    <og:param key="suffix"		value=".htm"		/>
    <og:param key="errAbend"	value="false"		/>
  </og:process>
  <og:process processID="GrepChange">
    <og:param key="inPath"		value="{@inPath}"	/>
    <og:param key="inEncode"	value="UTF-8"		/>
    <og:param key="outPath"		value="{@outPath}"	/>
    <og:param key="outEncode"	value="UTF-8"		/>
    <og:param key="keywordFile"	value="{@SYS.REAL_PATH}filetemp/{@USER.ID}/Converter.txt"	/>
    <og:param key="useWordUnit"	value="true"		/>
    <og:param key="display"		value="{@display}"	/>
    <og:param key="debug"		value="{@debug}"	/>
  </og:process>
</og:mainProcess>
</pre>

<!-- ここまで。 -->
	<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
